## enemylines7 0.6

=== Makefile ===

DESTDIR	?= /usr/local

TARGET = enemylines7

CXX= g++

CXXFLAGS = -O2 -Wall `sdl-config --cflags` -I./

LDFLAGS = `sdl-config --libs` -lGL -lGLU -lSDL_mixer -lSDL_image


all: $(TARGET)

OFILES = audio.o config.o container.o entity.o random.o game.o util.o menu.o help.o font_ogl.o skybox.o math/frustum.o math/quaternion.o font_data.o position.o light.o formation.o tex.o models/sphere.o models/bomb.o models/displaylists.o models/plane1.o models/slope1_1.o models/slope1_2.o models/slope2_1.o models/slope2_2.o models/slope3_1.o models/slope3_2.o models/slope4_1.o models/slope4_2.o models/tower.o models/bunker.o models/biosphere.o models/plane2.o models/station.o floor.o radio.o main.o elements/energy.o elements/difficulty.o elements/interval.o elements/score.o elements/timeleft.o tweak/tweak_release.o block/block.o block/blockinfo.o block/cacher.o block/collider.o block/cube.o block/debugger.o block/destructor.o block/infostack.o block/map2.o block/material.o block/merger.o block/painter3.o block/painter6.o block/selector2.o

$(TARGET): $(OFILES)
	$(CXX) -o $(TARGET) $(OFILES) $(LDFLAGS)


clean:
	rm -f *.o models/*.o block/*.o tweak/*.o math/*.o elements/*.o $(TARGET)

install: 
	mkdir -p $(DESTDIR)/share/enemylines7/
	mkdir -p $(DESTDIR)/bin/
	cp enemylines7 $(DESTDIR)/bin/
	cp data/* $(DESTDIR)/share/enemylines7/

=== SConstruct ===
env = Environment()
env.ParseConfig('sdl-config --cflags')
env.ParseConfig('sdl-config --static-libs')

env.Append(CCFLAGS = ['-g','-O2','-Wall'])
env.Append(LIBS = ['GL','GLU','SDL_mixer','SDL_image'])
env.Append(CPPFLAGS = ['-I./','-I../'])
Export('env')

objs = []
for subdir in ['tweak','models','math','block','elements']:
	o = SConscript('%s/SConstruct' % subdir)
	objs.append(o)


#env.Append(CPPFLAGS = ['-DNOAUDIO'])



main=[
		"entity.cc",
		"random.cc",
		"container.cc",
		"game.cc",
		"util.cc",
		"menu.cc",
		"help.cc", 
		"font_ogl.cc", 
		"font_data.cc",
		"skybox.cc",
		"config.cc",
		"audio.cc",
		"position.cc",
		"light.cc",
		"formation.cc",
		"tex.cc",
		"floor.cc",
		"radio.cc"

]


env.Program(target = 'enemylines7', 
	source = objs+main+["main.cc"]
)

=== block/SConstruct ===
list=[
	"block.cc",
	"cube.cc",
	"painter3.cc",
	"material.cc",
	"collider.cc",
	"blockinfo.cc",
	"debugger.cc",
	"selector2.cc",
	"infostack.cc",
	"destructor.cc",
	"merger.cc",
	"cacher.cc",
	"painter6.cc",
	"map2.cc"
]

Import('env')

obj = env.Object(
	list
)
Return('obj')

=== elements/SConstruct ===
list=[
	"energy.cc",
	"interval.cc",
	"score.cc",
	"difficulty.cc",
	"timeleft.cc"
];

Import('env')
obj = env.Object(
	list
)
Return('obj')

=== math/SConstruct ===
list=[
	"frustum.cc",
	"quaternion.cc"
]

Import('env')

obj = env.Object(
	list
)
Return('obj')

=== models/SConstruct ===
list=[
	"displaylists.cc",
	"sphere.cc",
	"bomb.cc",
	"plane1.cc",
	"slope1_1.cc",
	"slope1_2.cc",
	"slope2_1.cc",
	"slope2_2.cc",
	"slope3_1.cc",
	"slope3_2.cc",
	"slope4_1.cc",
	"slope4_2.cc",
	"tower.cc",
	"biosphere.cc",
	"bunker.cc",
	"station.cc",
	"plane2.cc"

];

Import('env')

obj = env.Object(
	list
)
Return('obj')

=== tweak/SConstruct ===
#list=[ "tweak_debug.cc", "tweak_debugfuns.cc" ]
list=[ "tweak_release.cc" ]

Import('env')
obj = env.Object(
	list
)
Return('obj')

=== debian/changelog ===
enemylines7 (0.6-4ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:21:47 +0000

enemylines7 (0.6-4ubuntu1) trusty; urgency=low

  * Adjusted library link order to resolve FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 27 Nov 2013 22:09:13 -0500

enemylines7 (0.6-4) unstable; urgency=low

  * Team upload.

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file

  [ Markus Koschany ]
  * Improve watch file and create a more flexible extension regex.
    (Closes: #531617)
  * Switch to package format 3.0 (quilt).
  * Bump Standards-Version to 3.9.4, no changes required.
  * Bump compat level to 9 and require debhelper >=9 for automatic hardening
    build flags.
  * Delete enemylines7.sgml and files file. They are not necessary anymore.
  * Update debian/copyright to copyright format 1.0. The license is GPL-2.
  * debian/control:
    - Use canonical Vcs-URI.
    - Drop quilt build dependeny, format 3.0 uses quilt by default.
    - Drop docbook-to-man build dependency and create a new man page manually.
    - Improve the package description.
  * debian/rules:
    - Simplify debian/rules by using dh sequencer.
    - Build with --parallel.
  * debian/patches:
    - Refresh all patches. Add DEP-3 headers. Use patch extension consistently.
    - Add hardening.patch to provide hardening build flags with
      dpkg-buildflags.

  [ Alexander Reichle-Schmehl ]
  * Adapt debian/control to my new name

 -- Markus Koschany <apo@gambaru.de>  Sat, 10 Aug 2013 23:01:26 +0200

enemylines7 (0.6-3) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * update fix-gcc-4.3.diff to add a missing '#include <limits>'
    (Closes: #454871)
  * bump date-standards-version too 3.7.3 (no change)
  * remove homepage URL from description
  * add Vcs-{Svn,Browser} fields

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 03 Feb 2008 17:12:26 +0100

enemylines7 (0.6-2) unstable; urgency=low

  [ Linas Žvirblis ]
  * update the menu file for the new section

  [ Gonéri Le Bouder ]
  * remove Applications from Categorie in the desktop file since it's not
    an official category
  * update the homesite url
  * FTBFS with GCC 4.3: missing #includes, apply Martin Michlmayr patch
    (Closes: #417171)
  * use of quilt instead of simple-patchsys.mk
  * do not ignore make clean return anymore
  * Add french comment in desktop file
  * watch file fixed since upstream URL had been changed

  [ Eddy Petrișor ]
  * added Encoding to the dekstop file
  * fixed Homepage semifield

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

 -- Jon Dowland <jon@alcopop.org>  Mon, 03 Dec 2007 17:40:15 +0000

enemylines7 (0.6-1) unstable; urgency=low

  * new upstream release
  * Standards-Version: 3.7.2
  * remove patchs:
    03_compile_with_g++4.1.patch,
    01_add_destdir_in_makefile.patch
    02_data_in_usr_share.patch
  * remove dpatch dependency
  * depends on libsdl-image1.2-dev
  * update upstream homepage
  * patchs 10_turn_off_useless_warnings.patch and 20_data_in_usr_games.patch
  * depends on cdbs because of simple-patchsys.mk

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue,  4 Jul 2006 00:46:13 +0200

enemylines7 (0.5-3) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * dh_install uncommented to install menu file
  * install a .desktop file
  * homemade pixmaps added

  [ Eddy Petrișor ]
  * add patch to fix FTBFS with g++ v4.1
    (thanks Martin Michlmayr) (closes: #361333)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Thu, 30 Mar 2006 00:34:05 +0200

enemylines7 (0.5-2) unstable; urgency=low

  * fixed path in debian/menu
  * adding myself to uploaders in debian/control

 -- Alexander Schmehl <tolimar@debian.org>  Wed, 29 Mar 2006 23:48:45 +0200

enemylines7 (0.5-1) unstable; urgency=low

  * Initial release (Closes: #359141)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 26 Mar 2006 19:08:45 +0200

=== debian/control ===
Source: enemylines7
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Alexander Reichle-Schmehl <tolimar@debian.org>
Build-Depends:
 debhelper (>= 9),
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev
Standards-Version: 3.9.4
Homepage: http://proj.phk.at/el/7/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/enemylines7/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/enemylines7/

Package: enemylines7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: first person 3d-shooter game
 Enemy Lines 7 is a single-player game. You have to shoot down enemy
 bombers threatening your city in a three-dimensional environment.
 .
 Enemy bombers are approaching Glysen, your capital. The situation is without
 hope. But with the new experimental mech you can at least try to take as many
 of them with you as possible.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/enemylines7/usr
	mv $(CURDIR)/debian/enemylines7/usr/bin $(CURDIR)/debian/enemylines7/usr/games
